package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Representa en el ambito de DDA la respuesta obtenida por SAP respecto de la Posicion del pedido 
 */
public class RespSAPPosicionDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String Documento;
	private String IDMensaje;
	private String Mensaje;
	
	public String getDocumento() {
		return Documento;
	}
	public void setDocumento(String documento) {
		Documento = documento;
	}
	public String getIDMensaje() {
		return IDMensaje;
	}
	public void setIDMensaje(String iDMensaje) {
		IDMensaje = iDMensaje;
	}
	public String getMensaje() {
		return Mensaje;
	}
	public void setMensaje(String mensaje) {
		Mensaje = mensaje;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" Documento: _" + this.getDocumento() + "_" + NEW_LINE);
		result.append(" IDMensaje: _" + this.getIDMensaje() + "_" + NEW_LINE);
		result.append(" Mensaje: _" + this.getMensaje() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
